moGreatDemandConfig = {};


function moGreatDemandConfig:onStartMission()
	moGreatDemand:load();
end;

function moGreatDemandConfig:defaultValues()
	moGreatDemand.values = {stations={}, updateTimer=60, msec=false};
end;

function moGreatDemandConfig:loadXml(self, Xml, xmlNameTag, file, isSaveGameIndex)
	if moGreatDemand.values == nil then moGreatDemandConfig:defaultValues();end;
	local groupNameTag = (xmlNameTag.. ".module.greatDemand(%d)"):format(0);
	if getXMLBool(Xml, groupNameTag.. "#mSecTimer") ~= nil then
		moGreatDemand.values.msec = getXMLBool(Xml, groupNameTag.. "#mSecTimer");
	end;
	if getXMLInt(Xml, groupNameTag.. "#updateTimer") then
		moGreatDemand.values.updateTimer = getXMLInt(Xml, groupNameTag.. "#updateTimer");
	end;
end;

function moGreatDemandConfig:saveXml(self, Xml, xmlNameTag)
	if moGreatDemand.values == nil then moGreatDemandConfig:defaultValues();end;
	----------------------------------------------------------------------------------------------
	local groupNameTag = (xmlNameTag.. ".module.greatDemand(%d)"):format(0);
	setXMLInt(Xml, groupNameTag.. "#updateTimer", moGreatDemand.values.updateTimer);
	setXMLBool(Xml, groupNameTag.. "#mSecTimer", moGreatDemand.values.msec);
	----------------------------------------------------------------------------------------------	
end;

function moGreatDemandConfig.onSaveCallback()
	moSetGetClientSettings:saveConfig(self);
end;

