consolenCmds = {};

--needs module not
--lineType 2/consolenCmds
function consolenCmds.load()
	local lineTable = {txtScroll={leftRight=true,upDown=true}};
	lineTable[#lineTable+1] = {};
	local isLineTable = lineTable[#lineTable];
	isLineTable.sortBy = "AAAA"
	isLineTable.txt = {};
	isLineTable.txt[1] = {width=100,color=moColors:getColor("khaki", true), txt="Consolen Cmds", txtPos=1, bold=true};
	
	--isLineTable.txt[2] = {width=5,color=moColors:getColor("khaki", true), txt="CMD", bold=true, txtPos=1};
	for key, value in pairs(g_registeredConsoleCommands) do		
		lineTable[#lineTable+1] = {};
		isLineTable = lineTable[#lineTable];
		isLineTable.sortBy = tostring(key);
		isLineTable.txt = {};					
		isLineTable.txt[1] = {};			
		isLineTable.txt[1].width = 95;
		isLineTable.txt[1].txt = isLineTable.sortBy;
		isLineTable.txt[1].color = moColors:getColor(moModule.values.txtColor);
		isLineTable.txt[1].bold = moModule.values.txtBold;
		--isLineTable.txt[1].clickCallback = consolenCmds.returnClickCmdName;
		
		isLineTable.txt[2] = {};			
		isLineTable.txt[2].width = 5;
		isLineTable.txt[2].color = moColors:getColor(moModule.values.txtColor);
		isLineTable.txt[2].bold = moModule.values.txtBold;
		isLineTable.txt[2].txt = "1";
	end;	
	function comp(w1,w2)		
		if w1.sortBy < w2.sortBy then
			return true;
		end;				
	end;
	table.sort(lineTable, comp);
	consolenCmds.output = lineTable;
end;

function consolenCmds.returnClickCmdName(...)
	if ... ~= nil then		
		local args = ...;
		if args ~= nil and args.line ~= nil then			
					
		end;		
	end;
end;

function consolenCmds.giveOutputTable()	
	consolenCmds:load();
	return consolenCmds.output;	
end;

function consolenCmds:reset(whichSLOT)
	if whichSLOT ~= nil and moSetGetOverlays.slot[whichSLOT] ~= nil then moSetGetOverlays.slot[whichSLOT].save = false;end;
	consolenCmds:load();
end;

function consolenCmds:generateCmd()
	local _, errorTable = 0, {};
	local newCmdTable = { insert=true, cmdOldTable=MultiOverlayV3.moduleCmdTable, cmdTable = {} };	
	newCmdTable.cmdTable[1] = {
		cmdName = "consolenCmds";
		displayName = "Consolen Cmds";		
		multiple = true;
		sortBy = "Module by Moh";
		infoTxt = "Zeigt alle gefundene Consolen Cmds an";
		helpTxt = "Found Consolen Cmds List";
		click = {mouseButtonLeft=true, mouseButtonMiddle=true, mouseButtonRight=true, key=true};
		lineTyp = 2;
		typ = "output";
		action = consolenCmds.giveOutputTable; --a function
		ownValues = {}; 
	};	
	_, errorTable = moSetGetCmd:generateNewCmd(newCmdTable);	
	local errorPrint = false;
	if errorPrint and #errorTable > 0 then
		for a=1, #errorTable do
			print("! ERROR ! MultiOverlayV3 Hud -->cmd generate consolenCmds Cmd error ".. tostring(a).. ": ".. tostring(errorTable[a]))
		end;
	end;
end;